# WOK
TKWOK
WOKNT

# WOKNT_ShellOutput Class Reference

defines root class to manage output of sub-process

`#include <WOKNT_ShellOutput.hxx>`

Inheritance diagram for WOKNT_ShellOutput:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT void | Cleanup ()
| provides 'cleanup' functionality
| ~WOKNT_ShellOutput ()
virtual Standard_EXPORT void | Clear ()=0
| clears output buffer(s) of sub-process
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Echo ()=0
| returns standard output of sub-process
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Errors ()=0
| returns standard error output of sub-process
virtual Standard_EXPORT Standard_Integer | OpenStdOut ()=0
| creates an I/O object for reading a standard output of sub-process and returns this object handle. Warning: returns INVALID_HANDLE_VALUE in case of failure
virtual Standard_EXPORT void | CloseStdOut ()=0
| closes an I/O object's handle opened by 'OpenStdOut' method
virtual Standard_EXPORT Standard_Integer | OpenStdErr ()=0
| creates an I/O object for reading a standard error output of sub-process and returns this object handle Warning: returns INVALID_HANDLE_VALUE in case of failure
virtual Standard_EXPORT void | CloseStdErr ()=0
| closes an I/O object's handle opened by 'OpenStdErr' method
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | SyncStdOut ()=0
| waits for sub-process termination
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | SyncStdErr ()=0
| same as 'SyncStdOut' method

## Protected Member Functions

Standard_EXPORT | WOKNT_ShellOutput ()
| protected constructor

## Constructor & Destructor Documentation

WOKNT_ShellOutput::~WOKNT_ShellOutput | ( |  | ) | `[inline]`

Standard_EXPORT WOKNT_ShellOutput::WOKNT_ShellOutput | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKNT_ShellOutput::Cleanup | ( |  | ) | `[virtual]`

| Reimplemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT void WOKNT_ShellOutput::Clear | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT void WOKNT_ShellOutput::CloseStdErr | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT void WOKNT_ShellOutput::CloseStdOut | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_ShellOutput::Echo | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_ShellOutput::Errors | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT Standard_Integer WOKNT_ShellOutput::OpenStdErr | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT Standard_Integer WOKNT_ShellOutput::OpenStdOut | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput.

void WOKNT_ShellOutput::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

void* WOKNT_ShellOutput::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

void* WOKNT_ShellOutput::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_ShellOutput::SyncStdErr | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput, and WOKNT_OutErrOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_ShellOutput::SyncStdOut | ( |  | ) | `[pure virtual]`

| Implemented in WOKNT_MixedOutput.

The documentation for this class was generated from the following file:

- WOKNT_ShellOutput.hxx